## com.google.gwt.junit.client
Class TestResults

    java.lang.Object
      com.google.gwt.junit.client.TestResults

All Implemented Interfaces:
  IsSerializable

public class TestResults
extends java.lang.Object
implements IsSerializable

Encapsulates the results of the execution of a single benchmark. A TestResult is constructed transparently within a benchmark and reported back to the JUnit RPC server, JUnitHost. It's then shared (via JUnitMessageQueue) with JUnitShell and aggregated in BenchmarkReport with other TestResults.

See Also:
  `JUnitHost`, `JUnitMessageQueue`, `JUnitShell`, `BenchmarkReport`

Constructor Summary
`TestResults()`

Method Summary
`java.lang.String` `getAgent()`
`java.lang.String` `getHost()`
`java.lang.String` `getSourceRef()`
`java.util.List` `getTrials()`
`void` `setAgent(java.lang.String agent)`
`void` `setHost(java.lang.String host)`
`void` `setSourceRef(java.lang.String sourceRef)`
`void` `setTrials(java.util.List trials)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestResults

    public TestResults()

Method Detail

### getAgent

    public java.lang.String getAgent()

### getHost

    public java.lang.String getHost()

### getSourceRef

    public java.lang.String getSourceRef()

### getTrials

    public java.util.List getTrials()

### setAgent

    public void setAgent(java.lang.String agent)

### setHost

    public void setHost(java.lang.String host)

### setSourceRef

    public void setSourceRef(java.lang.String sourceRef)

### setTrials

    public void setTrials(java.util.List trials)

### toString

    public java.lang.String toString()